package cn.superdesk.uniorder.dubbo.consumer.invoice.common;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTaxRate;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTaxRateParam;
import cn.superdesk.uniorder.dubbo.facade.invoice.common.DubboInvoiceTaxRateService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-07-23 15:30:45
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-07-23 15:30:45
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class InvoiceTaxRateDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboInvoiceTaxRateService dubboInvoiceTaxRateService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(InvoiceTaxRateParam param) {

		dubboInvoiceTaxRateService.addObj(param);

	}

	public void updateObj(InvoiceTaxRateParam param) {

		dubboInvoiceTaxRateService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboInvoiceTaxRateService.deleteObj(id);
	}

	public InvoiceTaxRate findById(Long id) {

		return dubboInvoiceTaxRateService.findById(id);
	}

	public PageInfo<InvoiceTaxRate> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboInvoiceTaxRateService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<InvoiceTaxRate> findAll(Map<String, Object> queryMap) {

		return dubboInvoiceTaxRateService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addInvoiceTaxRate(InvoiceTaxRateParam param) {

		dubboInvoiceTaxRateService.addInvoiceTaxRate(param);
	}


	public void updateInvoiceTaxRate(InvoiceTaxRateParam param) {

		dubboInvoiceTaxRateService.updateInvoiceTaxRate(param);
	}


	public void deleteInvoiceTaxRate(Long id) {
		dubboInvoiceTaxRateService.deleteInvoiceTaxRate(id);
	}


	public InvoiceTaxRate findInvoiceTaxRateById(Long id) {

		return dubboInvoiceTaxRateService.findInvoiceTaxRateById(id);
	}


	public R<List<InvoiceTaxRate>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboInvoiceTaxRateService.pageQuery(conditions, pageNun, pageSize);
	}
}
